Переполнение буфера в FortressSSH

Дата публикации:
19.05.2006
Всего просмотров:
1702
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Pragma FortressSSH 4.x
Уязвимые версии: Pragma FortressSSH 4.0.7.20, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных во время логирования содержимого SSH_MSG_KEXINIT сообщений, отправляемых SSH клиентом. Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.pragmasys.com/Fortress/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA